Subject: bug#11906: 24.1; completion-at-point failures

From: Dmitry Gutov <[email-masked]>
Date: Fri, 06 Dec 2013 06:32:13 +0200

On 06.12.2013 06:00, Leo Liu wrote:
> The code in minibuffer.el knows perfectly well when it doesn't need a
> completion table and should provide a way to notify
> completion-at-point-functions so that they can simplify ignore such
> computation.

I don't understand what you mean by "doesn't need a completion table". 
Could you give an example?

If some function doesn't need it, why does it use it? There should be no 
need to notify anything.

Or do you mean that instead of the "full" table, it just requires one 
match (where `try-completion' is used)? It may reduce the amount of 
computation performed by the backend function, but not always by much.